Create an export job
curl --request POST \
--url https://integrations.rippit.com/api/v2/bulk_export/tables \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"select": [
{
"field": "<string>",
"alias": "<string>"
}
],
"where": "<string>",
"group_by": [],
"order_by": [],
"limit": 2,
"format": "parquet"
}
'import requests
url = "https://integrations.rippit.com/api/v2/bulk_export/tables"
payload = {
"select": [
{
"field": "<string>",
"alias": "<string>"
}
],
"where": "<string>",
"group_by": [],
"order_by": [],
"limit": 2,
"format": "parquet"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
select: [{field: '<string>', alias: '<string>'}],
where: '<string>',
group_by: [],
order_by: [],
limit: 2,
format: 'parquet'
})
};
fetch('https://integrations.rippit.com/api/v2/bulk_export/tables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integrations.rippit.com/api/v2/bulk_export/tables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'select' => [
[
'field' => '<string>',
'alias' => '<string>'
]
],
'where' => '<string>',
'group_by' => [
],
'order_by' => [
],
'limit' => 2,
'format' => 'parquet'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://integrations.rippit.com/api/v2/bulk_export/tables"
payload := strings.NewReader("{\n \"select\": [\n {\n \"field\": \"<string>\",\n \"alias\": \"<string>\"\n }\n ],\n \"where\": \"<string>\",\n \"group_by\": [],\n \"order_by\": [],\n \"limit\": 2,\n \"format\": \"parquet\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://integrations.rippit.com/api/v2/bulk_export/tables")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"select\": [\n {\n \"field\": \"<string>\",\n \"alias\": \"<string>\"\n }\n ],\n \"where\": \"<string>\",\n \"group_by\": [],\n \"order_by\": [],\n \"limit\": 2,\n \"format\": \"parquet\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://integrations.rippit.com/api/v2/bulk_export/tables")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"select\": [\n {\n \"field\": \"<string>\",\n \"alias\": \"<string>\"\n }\n ],\n \"where\": \"<string>\",\n \"group_by\": [],\n \"order_by\": [],\n \"limit\": 2,\n \"format\": \"parquet\"\n}"
response = http.request(request)
puts response.read_body{
"job_id": "<string>",
"kind": "conversation_blocks",
"status": "awaiting_upload",
"created_at": "2023-11-07T05:31:56Z",
"result": {
"rows_received": 123,
"rows_written": 123,
"dataset_id": 123,
"rejected": [
{
"row": 123,
"error": "<string>"
}
],
"table_url": "<string>"
},
"files": [
{
"url": "<string>",
"bytes": 123
}
],
"expires_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Create an export job
Export any table from list_data_sources, or a worksheet, to files, with no row cap.
The body is an optional query; an empty body exports every row and column.
Poll Get a job until status is done. Returns 429 over the hourly/daily export or egress limits.
POST
/
bulk_export
/
tables
Create an export job
curl --request POST \
--url https://integrations.rippit.com/api/v2/bulk_export/tables \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"select": [
{
"field": "<string>",
"alias": "<string>"
}
],
"where": "<string>",
"group_by": [],
"order_by": [],
"limit": 2,
"format": "parquet"
}
'import requests
url = "https://integrations.rippit.com/api/v2/bulk_export/tables"
payload = {
"select": [
{
"field": "<string>",
"alias": "<string>"
}
],
"where": "<string>",
"group_by": [],
"order_by": [],
"limit": 2,
"format": "parquet"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
select: [{field: '<string>', alias: '<string>'}],
where: '<string>',
group_by: [],
order_by: [],
limit: 2,
format: 'parquet'
})
};
fetch('https://integrations.rippit.com/api/v2/bulk_export/tables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integrations.rippit.com/api/v2/bulk_export/tables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'select' => [
[
'field' => '<string>',
'alias' => '<string>'
]
],
'where' => '<string>',
'group_by' => [
],
'order_by' => [
],
'limit' => 2,
'format' => 'parquet'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://integrations.rippit.com/api/v2/bulk_export/tables"
payload := strings.NewReader("{\n \"select\": [\n {\n \"field\": \"<string>\",\n \"alias\": \"<string>\"\n }\n ],\n \"where\": \"<string>\",\n \"group_by\": [],\n \"order_by\": [],\n \"limit\": 2,\n \"format\": \"parquet\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://integrations.rippit.com/api/v2/bulk_export/tables")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"select\": [\n {\n \"field\": \"<string>\",\n \"alias\": \"<string>\"\n }\n ],\n \"where\": \"<string>\",\n \"group_by\": [],\n \"order_by\": [],\n \"limit\": 2,\n \"format\": \"parquet\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://integrations.rippit.com/api/v2/bulk_export/tables")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"select\": [\n {\n \"field\": \"<string>\",\n \"alias\": \"<string>\"\n }\n ],\n \"where\": \"<string>\",\n \"group_by\": [],\n \"order_by\": [],\n \"limit\": 2,\n \"format\": \"parquet\"\n}"
response = http.request(request)
puts response.read_body{
"job_id": "<string>",
"kind": "conversation_blocks",
"status": "awaiting_upload",
"created_at": "2023-11-07T05:31:56Z",
"result": {
"rows_received": 123,
"rows_written": 123,
"dataset_id": 123,
"rejected": [
{
"row": 123,
"error": "<string>"
}
],
"table_url": "<string>"
},
"files": [
{
"url": "<string>",
"bytes": 123
}
],
"expires_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Query Parameters
From Create a dataset. Pass this or table_id.
From list_data_sources. Pass this or dataset_id.
Body
application/json
Response
Successful Response
Was this page helpful?